Groovy 1.7.0

## org.codehaus.groovy.groovydoc
Interface GroovyAnnotationRef

    interface GroovyAnnotationRef

Method Summary
`String` | `description()` The string representation of the annotation reference.
`String` | `name()` Name of the annotation being referenced.
`GroovyClassDoc` | `type()` The annotation being referenced.

Method Detail

### description

    public String description()

  The string representation of the annotation reference. Initially implemented as a temporary hack stored from the source. To be replaced with strong-typed finer grained information.
  return:
    the text representation of the annotaiton ref

### name

    public String name()

  Name of the annotation being referenced. Once resolved, equates to `type().typeName()`.
  return:
    the name of the annotation reference

### type

    public GroovyClassDoc type()

  The annotation being referenced.
  return:
    the annotation being referenced

Copyright © 2003-2009 The Codehaus. All rights reserved.